Bug 190337 - yum no longer finding debuginfo rpms
yum no longer finding debuginfo rpms
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-05-01 09:04 EDT by William Cohen
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-01 14:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Cohen 2006-05-01 09:04:47 EDT
Description of problem:

Yum use to be able to find the debuginfo RPMs, such as kernel-debuginfo from the
repositories. It would download them and install them.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install kernel-debuginfo

Actual results:

Yum cannot find the matching kernel-debuginfo

yum install kernel-debuginfo
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
extras-development                                                   [1/2]
development                                                          [2/2]
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: kernel-debuginfo
Nothing to do

Expected results:

The kernel-debuginfo rpm would be downloaded and installed. I see the matching
kernel-debuginfo in:


Additional info:
Comment 1 Jeremy Katz 2006-05-01 14:23:08 EDT
As with the FC5 release, debuginfo and source repositories are now split off
separately and not enabled by default to be kinder to people's bandwidth.
  yum --enablerepo=development-debuginfo install kernel-debuginfo
should work fine, or you can edit /etc/yum.repos.d/fedora-development.repo to
permanently enable the repo.
Comment 2 Roland McGrath 2006-05-03 14:37:17 EDT
The problem with this recipe is that the repo name differs depending on release,
and you might need more than one to get core and updates, etc.  A user of yum
really just wants a "install the debuginfo for my package" option (or a
different front-end tool to figure it out, or whatever).  Perhaps something like
"for each enabled repo foo, enable foo-debuginfo too".
Comment 3 Seth Vidal 2006-05-03 14:41:22 EDT
well you can use wildcards, though:

yum --enablrepo='*debug* --enablerepo=*development* install foo-debuginfo

Comment 4 Roland McGrath 2006-05-03 14:49:58 EDT
Using --enablerepo='*-debuginfo' is an option.  But that enables all the repos,
and won't that get me the newest rpm by that name?  i.e., the development or
updates-testing foo-debuginfo when I only have the core/updates foo.
I guess one can request the particular n-v-r to get the right one.
Still, that will mean you download all the repodata for *-debuginfo repos you
never really wanted to use.

In the long run, I think we need some real features for debuginfo access, not
just  "add -debuginfo to the name by hand".  A user really wants to say "install
the debuginfo for /usr/bin/foo", and get behavior like yum install `rpm -qf
/usr/bin/foo`-debuginfo (but with the right v-r from the right repo).
Comment 5 Seth Vidal 2006-05-03 14:54:01 EDT
I have a lot of doubts as to whether that should EVER go into yum. If you'd like
to write a yum-debuginfo-util or a plugin to add this sort of magic I think that
would be completely appropriate but adding this into yum base seems to be the
wrong place.

Not for something that is as much of a edge case as debuginfo packages,
ultimately, are.

Comment 6 Jeremy Katz 2006-05-03 14:58:14 EDT
A separate utility is definitely the way to go here (and realistically, the user
shouldn't have to run it -- when an app crashes and the segfault is caught by,
eg, bug-buddy, you should be asked if you want to download and install the
appropriate debugging symbols if you have the privileges to do so)

But then, I've been saying that something like that would be useful since the
debuginfo stuff was originally done years ago ;)
Comment 7 Roland McGrath 2006-05-03 15:04:27 EDT
Yes, that's exactly what I'm talking about.  We need the building blocks to make
that happen.  The rpm-grokking and yum-fetching part of the picture needs to be
done by yum jockeys, not us tools folks who are working on the consumers of the
debuginfo (and are not real sharp on the python front).
Comment 8 William Cohen 2006-05-03 15:14:09 EDT
The main point of this bugzilla entry is that the the user shouldn't have to
figure out where to get the matching debuginfo for a particular executable.
Would like to avoid the failure mode where someone manually grabs the wrong
debuginfo rpm for a particular binary. People get that wrong often enough i368
vs i686 version or mismatched versions.

A script where someone gives a executable path and the script downloads and
installs the appropriate debuginfo rpm would be great.

Note You need to log in before you can comment on or make changes to this bug.